Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezforummessage.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezforummessage.php 9145 2002-02-05 10:39:07Z jhe $
5 //
6 // Definition of eZForumMessage class
7 //
8 // Created on: <11-Sep-2000 22:10:06 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
38 // include_once( "classes/ezdatetime.php" );
39 // include_once( "ezuser/classes/ezuser.php" );
40
41 class eZForumMessage
42 {
46 function __construct( $id = "" )
47 {
48 $this->IsApproved = true;
49 $this->IsTemporary = false;
50 $this->ForumID = 0;
51 $this->UserID = 0;
52 $this->EmailNotice = 0;
53
54 $this->ParentID = 0;
55
56 if ( $id != "" )
57 {
58 $this->get( $id );
59 }
60 }
61
65 function store()
66 {
67 $db =& eZDB::globalDatabase();
68 $db->begin( );
69 if ( !isset( $this->ID ) )
70 {
71 if ( $this->ParentID == 0 )
72 { // new node
73
74 $db->lock( "eZForum_Message" );
75 $nextID = $db->nextID( "eZForum_Message", "ID" );
76
77 $timeStamp = new eZDateTime();
78 $timeStamp = $timeStamp->timeStamp( true );
79
80 // find the biggest treeID
81 $db->array_query( $result, "SELECT TreeID FROM eZForum_Message ORDER BY TreeID DESC", array( "Limit" => 1 ) );
82
83 $this->Depth = 0;
84 if ( count( $result ) > 0 )
85 {
86 $this->TreeID = $result[0][$db->fieldName( "TreeID" )] + 1;
87 }
88 else
89 {
90 $this->TreeID = 0;
91 }
92
93 // get the biggest thread ID
94 $db->array_query( $result,
95 "SELECT ThreadID, TreeID FROM eZForum_Message WHERE Parent='0' ORDER BY TreeID DESC",
96 array( "Limit" => 1 ) );
97
98 if ( count( $result ) > 0 )
99 {
100 $this->ThreadID = $result[0][$db->fieldName( "ThreadID" )] + 1;
101 }
102 else
103 {
104 $this->ThreadID = 0;
105 }
106 $topic = $db->escapeString( $this->Topic );
107 $body = $db->escapeString( $this->Body );
108
109 $query = "INSERT INTO eZForum_Message
110 ( ID,
111 ForumID,
112 Topic,
113 Body,
114 UserID,
115 Parent,
116 TreeID,
117 ThreadID,
118 Depth,
119 EmailNotice,
120 IsApproved,
121 IsTemporary,
122 PostingTime,
123 UserName )
124 VALUES
125 ( '$nextID',
126 '$this->ForumID',
127 '$topic',
128 '$body',
129 '$this->UserID',
130 '$this->ParentID',
131 '$this->TreeID',
132 '$this->ThreadID',
133 '$this->Depth',
134 '$this->EmailNotice',
135 '$this->IsApproved',
136 '$this->IsTemporary',
137 '$timeStamp',
138 '$this->UserName' )
139 ";
140
141 $res = $db->query( $query );
142
143 $this->ID = $nextID;
144 }
145 else
146 { // child node
147
148 // find the TreeID, ThreadID and Depth of the parent
149 $db->array_query( $result, "SELECT TreeID, ThreadID, Depth FROM eZForum_Message
150 WHERE ID='$this->ParentID'
151 ORDER BY TreeID DESC", array( "Limit" => 1 ) );
152
153 if ( count( $result ) == 1 )
154 {
155 $db->lock( "eZForum_Message" );
156 $nextID = $db->nextID( "eZForum_Message", "ID" );
157
158 $timeStamp = new eZDateTime();
159 $timeStamp = $timeStamp->timeStamp( true );
160
161 $parentID = $result[0][$db->fieldName( "TreeID" )];
162 $this->TreeID = $parentID;
163
164 $this->ThreadID = $result[0][$db->fieldName( "ThreadID" )];
165
166 $d = $result[0][$db->fieldName( "Depth" )];
167 setType( $d, "integer" );
168
169 $this->Depth = $d + 1;
170
171 // update the whole tree''s ThreeID.
172 $db->query( "UPDATE eZForum_Message SET TreeID=( TreeID + 1 ), PostingTime=PostingTime WHERE TreeID >= $parentID" );
173
174 $bodySlash = $db->escapeString( $this->Body );
175 $topicSlash = $db->escapeString( $this->Topic );
176
177 $res = $db->query( "INSERT INTO eZForum_Message
178 ( ID,
179 ForumID,
180 Topic,
181 Body,
182 UserID,
183 Parent,
184 TreeID,
185 ThreadID,
186 Depth,
187 EmailNotice,
188 IsApproved,
189 IsTemporary,
190 PostingTime,
191 UserName )
192 VALUES
193 ( '$nextID',
194 '$this->ForumID',
195 '$topicSlash',
196 '$bodySlash',
197 '$this->UserID',
198 '$this->ParentID',
199 '$this->TreeID',
200 '$this->ThreadID',
201 '$this->Depth',
202 '$this->EmailNotice',
203 '$this->IsApproved',
204 '$this->IsTemporary',
205 '$timeStamp',
206 '$this->UserName' )
207 " );
208 $this->ID = $nextID;
209 }
210 else
211 {
212 print( "<b>ERROR:</b> eZForumMessage::store() parent not found in database.<br /> \n" );
213 }
214 }
215 }
216 else
217 {
218 $bodySlash = $db->escapeString( $this->Body );
219 $topicSlash = $db->escapeString( $this->Topic );
220
221 $res = $db->query( "UPDATE eZForum_Message SET
222 ForumID='$this->ForumID',
223 Topic='$topicSlash',
224 Body='$bodySlash',
225 UserID='$this->UserID',
226 Parent='$this->ParentID',
227 EmailNotice='$this->EmailNotice',
228 IsApproved='$this->IsApproved',
229 IsTemporary='$this->IsTemporary',
230 PostingTime=PostingTime,
231 UserName='$this->UserName'
232 WHERE ID='$this->ID'
233 " );
234 }
235
236 $db->unlock();
237
238 if ( $res == false )
239 $db->rollback( );
240 else
241 {
242 $db->commit();
243 $this->createIndex();
244 }
245
246
247 return true;
248 }
249
253 function delete()
254 {
255 $db =& eZDB::globalDatabase();
256 $db->query( "DELETE FROM eZForum_Message WHERE ID='$this->ID'" );
257 $db->query( "DELETE FROM eZForum_MessageWordLink WHERE MessageID='$this->ID'" );
258 return true;
259 }
260
261
265 function &cloneObject()
266 {
267 $tmp = new eZForumMessage( $this->ID );
268 unset( $tmp->ID );
269 return $tmp;
270 }
271
275 function get( $id = "" )
276 {
277 $db =& eZDB::globalDatabase();
278 $ret = false;
279 $message_array = array();
280
281 if ( $id != "" )
282 {
283 $timeStamp = new eZDateTime();
284 $timeStamp = $timeStamp->timeStamp( true );
285
286 $db->array_query( $message_array, "SELECT *,
287 ( $timeStamp - PostingTime ) AS Age
288 FROM eZForum_Message WHERE ID='$id'" );
289 if ( count( $message_array ) > 1 )
290 {
291 die( "Error: Message's with the same ID was found in the database. This shouldn't happen." );
292 }
293 else if ( count( $message_array ) == 1 )
294 {
295 $this->ID =& $message_array[0][$db->fieldName( "ID" )];
296 $this->ForumID =& $message_array[0][$db->fieldName( "ForumID" )];
297 $this->Topic =& $message_array[0][$db->fieldName( "Topic" )];
298 $this->Body =& $message_array[0][$db->fieldName( "Body" )];
299 $this->UserID =& $message_array[0][$db->fieldName( "UserID" )];
300 $this->ParentID =& $message_array[0][$db->fieldName( "Parent" )];
301 $this->PostingTime =& $message_array[0][$db->fieldName( "PostingTime" )];
302 $this->EmailNotice =& $message_array[0][$db->fieldName( "EmailNotice" )];
303
304 $this->IsApproved =& $message_array[0][$db->fieldName( "IsApproved" )];
305 $this->IsTemporary =& $message_array[0][$db->fieldName( "IsTemporary" )];
306
307 $this->ThreadID =& $message_array[0][$db->fieldName( "ThreadID" )];
308 $this->TreeID =& $message_array[0][$db->fieldName( "TreeID" )];
309 $this->Depth =& $message_array[0][$db->fieldName( "Depth" )];
310
311 $this->Age =& $message_array[0][$db->fieldName( "Age" )];
312 $this->UserName =& $message_array[0][$db->fieldName( "UserName" )];
313
314 $ret = true;
315 }
316 else if ( count( $message_array ) == 0 )
317 {
318 $this->ID = 0;
319 $this->ForumID = 0;
320 $ret = false;
321 }
322 }
323 return $ret;
324 }
325
329 function getAll()
330 {
331 $db =& eZDB::globalDatabase();
332 $ret = array();
333 $message_array = array();
334
335 $db->array_query( $message_array, "SELECT ID FROM
336 eZForum_Message" );
337
338 $ret = array();
339
340 foreach ( $message_array as $message )
341 {
342 $ret[] = new eZForumMessage( $message[$db->fieldName( "ID" )] );
343 }
344
345 return $ret;
346 }
347
348
353 function createIndex()
354 {
355 // generate keywords
356 $tmpContents = $this->Body;
357
358 $contents = strtolower( strip_tags( $tmpContents ) ) . " " . $this->Topic;
359 $contents = str_replace ("\n", "", $contents );
360 $contents = str_replace ("\r", "", $contents );
361 $contents = str_replace ("(", " ", $contents );
362 $contents = str_replace (")", " ", $contents );
363 $contents = str_replace (",", " ", $contents );
364 $contents = str_replace (".", " ", $contents );
365 $contents = str_replace ("/", " ", $contents );
366 $contents = str_replace ("-", " ", $contents );
367 $contents = str_replace ("_", " ", $contents );
368 $contents = str_replace ("\"", " ", $contents );
369 $contents = str_replace ("'", " ", $contents );
370 $contents = str_replace (":", " ", $contents );
371 $contents = str_replace ("?", " ", $contents );
372 $contents = str_replace ("!", " ", $contents );
373 $contents = str_replace ("\"", " ", $contents );
374 $contents = str_replace ("|", " ", $contents );
375 $contents = str_replace ("qdom", " ", $contents );
376 $contents = str_replace ("tech", " ", $contents );
377
378 // strip &quot; combinations
379 $contents = preg_replace("(&.+?;)", " ", $contents );
380
381 // strip multiple whitespaces
382 $contents = preg_replace("(\s+)", " ", $contents );
383
384 $contents_array =& preg_split( "/ /", $contents );
385
386 $totalWordCount = count( $contents_array );
387 $wordCount = array_count_values( $contents_array );
388
389 $contents_array = array_unique( $contents_array );
390
391 $keywords = "";
392 foreach ( $contents_array as $word )
393 {
394 if ( strlen( $word ) >= 2 )
395 {
396 $keywords .= $word . " ";
397 }
398 }
399
400 $this->Keywords = $keywords;
401
402 $db =& eZDB::globalDatabase();
403 $ret = array();
404
405 $ret[] = $db->query( "DELETE FROM eZForum_MessageWordLink WHERE MessageID='$this->ID'" );
406
407 // get total number of messages
408 $db->array_query( $message_array, "SELECT COUNT(*) AS Count FROM eZForum_Message" );
409 $messageCount = $message_array[0][$db->fieldName( "Count" )];
410
411 foreach ( $contents_array as $word )
412 {
413 if ( strlen( $word ) >= 2 )
414 {
415 $indexWord = $word;
416
417 $indexWord = $db->escapeString( $indexWord );
418
419 $db->begin( );
420
421 // find the frequency
422 $count = $wordCount[$indexWord];
423
424 $freq = ( $count / $totalWordCount );
425
426 $query = "SELECT ID FROM eZForum_Word
427 WHERE Word='$indexWord'";
428
429 $db->array_query( $word_array, $query );
430
431
432 if ( count( $word_array ) == 1 )
433 {
434 // word exists create reference
435 $wordID = $word_array[0][$db->fieldName("ID")];
436
437 // number of links to this word
438 $db->array_query( $message_array, "SELECT COUNT(*) AS Count FROM eZForum_MessageWordLink WHERE WordID='$wordID'" );
439 $wordUsageCount = $message_array[0][$db->fieldName( "Count" )];
440
441 if ( $messageCount != 0 )
442 $wordFreq = ( $wordUsageCount + 1 ) / $messageCount;
443
444 // update word frequency
445 $ret[] = $db->query( "UPDATE eZForum_Word SET Frequency='$wordFreq' WHERE ID='$wordID'" );
446
447
448 $ret[] = $db->query( "INSERT INTO eZForum_MessageWordLink ( MessageID, WordID, Frequency ) VALUES
449 ( '$this->ID',
450 '$wordID',
451 '$freq' )" );
452 }
453 else
454 {
455 // lock the table
456 $db->lock( "eZForum_Word" );
457
458 if ( $messageCount != 0 )
459 $wordFreq = 1 / $messageCount;
460
461 // new word, create word
462 $nextID = $db->nextID( "eZForum_Word", "ID" );
463 $ret[] = $db->query( "INSERT INTO eZForum_Word ( ID, Word, Frequency ) VALUES
464 ( '$nextID',
465 '$indexWord',
466 '$wordFreq' )" );
467 $db->unlock();
468
469 $ret[] = $db->query( "INSERT INTO eZForum_MessageWordLink ( MessageID, WordID, Frequency ) VALUES
470 ( '$this->ID',
471 '$nextID',
472 '$freq' )" );
473
474 }
475 }
476 }
477 eZDB::finish( $ret, $db );
478 }
479
483 function id()
484 {
485 return $this->ID;
486 }
487
491 function forumID()
492 {
493 return $this->ForumID;
494 }
495
499 function setForumID( $newForumID )
500 {
501 $this->ForumID = $newForumID;
502 }
503
507 function setIsApproved( $value )
508 {
509 if ( $value == true )
510 $this->IsApproved = 1;
511 else
512 $this->IsApproved = 0;
513 }
514
515
519 function setIsTemporary( $value )
520 {
521 if ( $value == true )
522 $this->IsTemporary = 1;
523 else
524 $this->IsTemporary = 0;
525 }
526
527
531 function isApproved()
532 {
533 if ( $this->IsApproved == 1 )
534 return true;
535 else
536 return false;
537 }
538
542 function isTemporary()
543 {
544 if ( $this->IsTemporary == 1 )
545 return true;
546 else
547 return false;
548 }
549
555 function &parent()
556 {
557 $ret = false;
558
559 if ( $this->ParentID != 0 )
560 $ret = new eZForumMessage( $this->ParentID );
561
562 return $ret;
563 }
564
568 function setParent( $newParent )
569 {
570 $this->ParentID = $newParent;
571 }
572
576 function &topic( $htmlchars = true )
577 {
578 if ( !is_null( $this->Topic ) && $htmlchars == true )
579 {
580 $this->Topic = stripslashes($this->Topic);
581 return htmlspecialchars( $this->Topic );
582 }
583 else
584 {
585 $this->Topic = "";
586 return $this->Topic;
587 }
588 }
589
593 function name()
594 {
595 $this->Topic = stripslashes($this->Topic);
596 return $this->Topic();
597 }
598
602 function setTopic( &$newTopic )
603 {
604 $this->Topic = $newTopic;
605 }
606
607
611 function &body()
612 {
613 if ( !is_null( $this->Body ) )
614 {
615 $this->Body = stripslashes($this->Body);
616 return htmlspecialchars( $this->Body );
617 }
618 else
619 {
620 $this->Body = "";
621 return $this->Body;
622 }
623 }
624
628 function setBody( &$newBody )
629 {
630 $this->Body = $newBody;
631 }
632
636 function userID()
637 {
638 return $this->UserID;
639 }
640
641 function userName()
642 {
643
644 if ( isset( $this->UserName ) )
645 return $this->UserName;
646 else
647 return false;
648 }
649
653 function age()
654 {
655 return $this->Age;
656 }
657
661 function &user()
662 {
663 $owner = new eZUser( $this->UserID );
664
665 return $owner;
666 }
667
668 function setUserName( $username )
669 {
670 $this->UserName = $username;
671 }
672
676 function setUserID( $newUserID )
677 {
678 $this->UserID = $newUserID;
679 }
680
684 function emailNotice()
685 {
686 $ret = false;
687 if ( $this->EmailNotice == 1 )
688 $ret = true;
689
690 return $ret;
691 }
692
696 function setEmailNotice( $newEmailNotice )
697 {
698 if ( $newEmailNotice == true )
699 $this->EmailNotice = 1;
700 else
701 $this->EmailNotice = 0;
702 }
703
707 function depth()
708 {
709 return $this->Depth;
710 }
711
715 function enableEmailNotice()
716 {
717 $this->setEmailNotice( 1 );
718 }
719
723 function disableEmailNotice()
724 {
725 $this->setEmailNotice( 0 );
726 }
727
728
732 function &postingTime()
733 {
734 $dateTime = new eZDateTime();
735
736 $dateTime->setTimeStamp( $this->PostingTime );
737
738 return $dateTime;
739 }
740
746 function threadID()
747 {
748 return $this->ThreadID;
749 }
750
757 function treeID()
758 {
759 return $this->TreeID;
760 }
761
765 static public function threadMessageCount( $threadID )
766 {
767 $db =& eZDB::globalDatabase();
768
769 $db->array_query( $message_array,
770 "SELECT COUNT(*) AS Count
771 FROM eZForum_Message
772 WHERE ThreadID='$threadID'
773 AND IsTemporary='0'
774 AND IsApproved='1'" );
775
776 return $message_array[0][$db->fieldName( "Count" )];
777 }
778
779
783 static public function countMessages( $ID )
784 {
785 $db =& eZDB::globalDatabase();
786
787 $db->array_query( $message_array,
788 "SELECT COUNT(ID) AS Messages
789 FROM eZForum_Message
790 WHERE ForumID='$ID'
791 AND Parent IS NULL AND IsTemporary='0'" );
792
793 return $message_array[0][$db->fieldName( "Messages" )];
794 }
795
799 static public function countReplies( $ID )
800 {
801 $db =& eZDB::globalDatabase();
802
803 $db->array_query( $message_array,
804 "SELECT COUNT(ID) AS Replies FROM eZForum_Message WHERE Parent='$ID' AND IsTemporary='0'" );
805
806 return $message_array[0][$db->fieldName( "Replies" )];
807 }
808
814 function threadTop( &$msg )
815 {
816 $db =& eZDB::globalDatabase();
817
818 $ret = 0;
819
820 if ( $msg->parent() != 0 )
821 {
822 $parent =& $msg->parent();
823 $ret = $this->threadTop( $parent );
824 }
825 else
826 {
827 $ret = $msg;
828 }
829
830 return $ret;
831 }
832
836 function getAllUnApproved( $Offset=0, $Limit=10 )
837 {
838 $db =& eZDB::globalDatabase();
839
840 $ret = array();
841
842 $db->array_query( $message_array, "SELECT ID FROM eZForum_Message WHERE IsApproved='0' AND IsTemporary='0'",
843 array( "Limit" => $Limit, "Offset" => $Offset ) );
844 $ret = array();
845
846 foreach ( $message_array as $message )
847 {
848 $ret[] = new eZForumMessage( $message[$db->fieldName( "ID" )] );
849 }
850
851 return $ret;
852 }
853
857 function unApprovedCount( )
858 {
859 $db =& eZDB::globalDatabase();
860
861 $db->array_query( $message_array, "SELECT COUNT(ID) as Count FROM eZForum_Message WHERE IsApproved='0' AND IsTemporary='0'" );
862
863 return $message_array[0][$db->fieldName( "Count" )];
864 }
865
869 function getAllTemporary( )
870 {
871 $db =& eZDB::globalDatabase();
872
873 $ret = array();
874
875 $db->array_query( $message_array, "SELECT ID FROM eZForum_Message WHERE IsTemporary='1'" );
876 $ret = array();
877
878 foreach ( $message_array as $message )
879 {
880 $ret[] = new eZForumMessage( $message[$db->fieldName( "ID" )] );
881 }
882
883 return $ret;
884 }
885
892 public static function &lastMessages( $limit, $user = false, $userid = false )
893 {
894 $db =& eZDB::globalDatabase();
895
896 if ( !$user )
897 $user =& eZUser::currentUser();
898
899 $query_string = "AND ( f.GroupID='0' ";
900 if ( $user )
901 {
902 $groups = $user->groups( false );
903 foreach ( $groups as $group )
904 {
905 $query_string .= "OR f.GroupID='$group' ";
906 }
907 }
908 $query_string .= ")";
909
910 if ( $userid )
911 {
912 $query_string .= " AND ( m.UserID='$userid' )";
913 }
914
915 $ret = array();
916 $message_array = array();
917
918
919 $db->array_query( $message_array, "SELECT m.ID as ID, m.UserID, m.ForumID, m.Topic, m.PostingTime, m.IsApproved,
920 m.Body,
921 l.ForumID,
922 f.ID as FID, f.GroupID
923 FROM eZForum_Message as m, eZForum_ForumCategoryLink as l,
924 eZForum_Forum as f
925 WHERE IsTemporary='0' AND l.ForumID=m.ForumID
926 AND m.IsApproved='1'
927 AND f.ID=l.ForumID $query_string
928 ORDER BY m.PostingTime DESC", array( "Limit" => $limit ) );
929
930 return $message_array;
931 }
932
933 var $ID;
934 var $ForumID;
935 var $ParentID;
936 var $Topic;
937 var $Body;
938 var $UserID;
939 var $PostingTime;
940 var $EmailNotice;
941 var $IsApproved;
942 var $IsTemporary;
943 var $UserName;
944
946 var $Age;
947
949 var $TreeID;
950
951 // contains the thread id
952 var $ThreadID;
953
954 // indicates the depth of the message in the tree
955 var $Depth;
956
957 var $Keywords;
958
959 }
960
961 ?>
$topic
foreach( $authorArray as $author) $topic
Definition: admin/articleedit.php:852
$group
$group
Definition: admin/articleedit.php:799
$message
$message
Definition: admin/message.php:51
$dateTime
$dateTime
Definition: authorview.php:77
$owner
$owner
Definition: bugedit.php:555
$tmp
$tmp
Definition: bugview.php:99
eZDB\finish
static finish(&$resultArray, &$db)
Definition: ezdb.php:204
eZDB\globalDatabase
static & globalDatabase()
Definition: ezdb.php:134
eZDateTime
Definition: ezdatetime.php:55
eZForumMessage
Definition: ezforummessage.php:42
eZForumMessage\__construct
__construct( $id="")
Definition: ezforummessage.php:46
eZForumMessage\$TreeID
$TreeID
indicates the position in the tree.
Definition: ezforummessage.php:949
eZForumMessage\$Keywords
$Keywords
Definition: ezforummessage.php:957
eZForumMessage\isTemporary
isTemporary()
Definition: ezforummessage.php:542
eZForumMessage\topic
& topic( $htmlchars=true)
Definition: ezforummessage.php:576
eZForumMessage\getAllTemporary
getAllTemporary()
Definition: ezforummessage.php:869
eZForumMessage\getAll
getAll()
Definition: ezforummessage.php:329
eZForumMessage\user
& user()
Definition: ezforummessage.php:661
eZForumMessage\$IsTemporary
$IsTemporary
Definition: ezforummessage.php:942
eZForumMessage\setTopic
setTopic(&$newTopic)
Definition: ezforummessage.php:602
eZForumMessage\$Depth
$Depth
Definition: ezforummessage.php:955
eZForumMessage\$UserName
$UserName
Definition: ezforummessage.php:943
eZForumMessage\disableEmailNotice
disableEmailNotice()
Definition: ezforummessage.php:723
eZForumMessage\userName
userName()
Definition: ezforummessage.php:641
eZForumMessage\depth
depth()
Definition: ezforummessage.php:707
eZForumMessage\getAllUnApproved
getAllUnApproved( $Offset=0, $Limit=10)
Definition: ezforummessage.php:836
eZForumMessage\lastMessages
static & lastMessages( $limit, $user=false, $userid=false)
Definition: ezforummessage.php:892
eZForumMessage\threadID
threadID()
Definition: ezforummessage.php:746
eZForumMessage\$PostingTime
$PostingTime
Definition: ezforummessage.php:939
eZForumMessage\setEmailNotice
setEmailNotice( $newEmailNotice)
Definition: ezforummessage.php:696
eZForumMessage\$IsApproved
$IsApproved
Definition: ezforummessage.php:941
eZForumMessage\setUserName
setUserName( $username)
Definition: ezforummessage.php:668
eZForumMessage\setForumID
setForumID( $newForumID)
Definition: ezforummessage.php:499
eZForumMessage\setParent
setParent( $newParent)
Definition: ezforummessage.php:568
eZForumMessage\setBody
setBody(&$newBody)
Definition: ezforummessage.php:628
eZForumMessage\isApproved
isApproved()
Definition: ezforummessage.php:531
eZForumMessage\setUserID
setUserID( $newUserID)
Definition: ezforummessage.php:676
eZForumMessage\name
name()
Definition: ezforummessage.php:593
eZForumMessage\$Age
$Age
Number of seconds since the message was posted.
Definition: ezforummessage.php:946
eZForumMessage\threadTop
threadTop(&$msg)
Definition: ezforummessage.php:814
eZForumMessage\treeID
treeID()
Definition: ezforummessage.php:757
eZForumMessage\$Body
$Body
Definition: ezforummessage.php:937
eZForumMessage\countReplies
static countReplies( $ID)
Definition: ezforummessage.php:799
eZForumMessage\body
& body()
Definition: ezforummessage.php:611
eZForumMessage\$Topic
$Topic
Definition: ezforummessage.php:936
eZForumMessage\age
age()
Definition: ezforummessage.php:653
eZForumMessage\threadMessageCount
static threadMessageCount( $threadID)
Definition: ezforummessage.php:765
eZForumMessage\enableEmailNotice
enableEmailNotice()
Definition: ezforummessage.php:715
eZForumMessage\setIsTemporary
setIsTemporary( $value)
Definition: ezforummessage.php:519
eZForumMessage\postingTime
& postingTime()
Definition: ezforummessage.php:732
eZForumMessage\createIndex
createIndex()
Definition: ezforummessage.php:353
eZForumMessage\$ParentID
$ParentID
Definition: ezforummessage.php:935
eZForumMessage\countMessages
static countMessages( $ID)
Definition: ezforummessage.php:783
eZForumMessage\userID
userID()
Definition: ezforummessage.php:636
eZForumMessage\$EmailNotice
$EmailNotice
Definition: ezforummessage.php:940
eZForumMessage\store
store()
Definition: ezforummessage.php:65
eZForumMessage\id
id()
Definition: ezforummessage.php:483
eZForumMessage\emailNotice
emailNotice()
Definition: ezforummessage.php:684
eZForumMessage\forumID
forumID()
Definition: ezforummessage.php:491
eZForumMessage\$ForumID
$ForumID
Definition: ezforummessage.php:934
eZForumMessage\$ID
$ID
Definition: ezforummessage.php:933
eZForumMessage\cloneObject
& cloneObject()
Definition: ezforummessage.php:265
eZForumMessage\$ThreadID
$ThreadID
Definition: ezforummessage.php:952
eZForumMessage\parent
& parent()
Definition: ezforummessage.php:555
eZForumMessage\$UserID
$UserID
Definition: ezforummessage.php:938
eZForumMessage\setIsApproved
setIsApproved( $value)
Definition: ezforummessage.php:507
eZForumMessage\unApprovedCount
unApprovedCount()
Definition: ezforummessage.php:857
eZUser
Definition: ezuser.php:76
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$result
$result
Definition: companysearch.php:94
$id
$id
Definition: companytypelist.php:193
$msg
$msg
Definition: editmessage.php:47
$query
if(isset( $Year) &&!is_numeric( $Year)||isset( $Month) &&!is_numeric( $Month)) $query
Definition: entryexitpages.php:65
$Limit
$Limit
Definition: ezarticle/admin/categorylist.php:66
$db
$db
Definition: ezarticle/user/authorlist.php:53
$contents
$contents
Definition: ezarticle/user/extendedsearch.php:52
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$groups
if( $CategoryID !=0) $groups
Definition: ezbulkmail/admin/categoryedit.php:108
$messageCount
$messageCount
Definition: ezforum/admin/messagelist.php:70
$limit
$limit
Definition: ezimagecatalogue/admin/imagelist.php:312
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$res
$res
Definition: ezstats/admin/cron.php:45
$count
$count
Definition: onlinetypelist.php:108
$user
$user
Definition: user/adlist.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.